=== debian/control ===
Source: ros-iron-hls-lfcd-lds-driver
Section: misc
Priority: optional
Maintainer: Will Son <willson@robotis.com>
Build-Depends: debhelper (>= 9.0.0), libboost-system-dev, ros-iron-ament-cmake, ros-iron-rclcpp, ros-iron-sensor-msgs, ros-iron-ros-workspace
Homepage: http://wiki.ros.org/hls_lfcd_lds_driver
Standards-Version: 3.9.2

Package: ros-iron-hls-lfcd-lds-driver
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libboost-system-dev, ros-iron-rclcpp, ros-iron-sensor-msgs, ros-iron-ros-workspace
Description: ROS package for LDS(HLS-LFCD2).
 The LDS (Laser Distance Sensor) is a sensor sending the data to Host for the simultaneous localization and mapping (SLAM). Simultaneously the detecting obstacle data can also be sent to Host. HLDS(Hitachi-LG Data Storage) is developing the technology for the moving platform sensor such as Robot Vacuum Cleaners, Home Robot, Robotics Lawn Mower Sensor, etc.
